#!/bin/sh
#
# Copyright (c) 2018 Vivotek Inc. All rights reserved.
#
# +-----------------------------------------------------------------+
# | THIS SOFTWARE IS FURNISHED UNDER A LICENSE AND MAY ONLY BE USED |
# | AND COPIED IN ACCORDANCE WITH THE TERMS AND CONDITIONS OF SUCH  |
# | A LICENSE AND WITH THE INCLUSION OF THE THIS COPY RIGHT NOTICE. |
# | THIS SOFTWARE OR ANY OTHER COPIES OF THIS SOFTWARE MAY NOT BE   |
# | PROVIDED OR OTHERWISE MADE AVAILABLE TO ANY OTHER PERSON. THE   |
# | OWNERSHIP AND TITLE OF THIS SOFTWARE IS NOT TRANSFERRED.        |
# |                                                                 |
# | THE INFORMATION IN THIS SOFTWARE IS SUBJECT TO CHANGE WITHOUT   |
# | ANY PRIOR NOTICE AND SHOULD NOT BE CONSTRUED AS A COMMITMENT BY |
# | VIVOTEK INC.                                                    |
# +-----------------------------------------------------------------+
#
# Date: 2018-10-02 08:37:58
# Author: Jacko Chang (jacko.chang@vivotek.com)
#

if [ -z "${PKGROOT}" ]; then
	PKGROOT=$(realpath ./)
fi

INITS=$(find ${PKGROOT}/init.d/ -type f)

cd /
ACTION=${1}
case ${ACTION} in
	start|stop)
		for i in ${INITS}; do
			LD_LIBRARY_PATH=${PKGROOT}/lib PKGROOT=${PKGROOT} ${i} ${ACTION} 1>&2
		done
		;;
	resume_for_pair)
		for i in ${INITS}; do
			case "${i}" in
			*drmtags)
				continue
				;;
			*)
				LD_LIBRARY_PATH=${PKGROOT}/lib PKGROOT=${PKGROOT} ${i} start 1>&2
				;;
			esac
		done
		;;
	suspend_for_pair)
		for i in ${INITS}; do
			case "${i}" in
			*drmtags)
				continue
				;;
			*)
				LD_LIBRARY_PATH=${PKGROOT}/lib PKGROOT=${PKGROOT} ${i} stop 1>&2
				;;
			esac
		done
		;;
esac

cd - > /dev/null
exit 0

