#!/bin/sh
echo "Content-type: application/text/plain"
echo "Content-Disposition: attachment; filename=information.tar.gz"
echo ""

if [ -z "${PKGROOT}" ]; then
	PKGROOT=$(realpath ../)
fi

if [ "$(which jq; echo $?)" != "0" ];then
	export PATH=${PKGROOT}/bin:${PATH}
	export LD_LIBRARY_PATH=${PKGROOT}/lib
fi

CONFIG=${PKGROOT}/config.json

cleanup()
{
    rm -f /mnt/ramdisk/device.log
    rm -f ${PKGROOT}/information.tar.gz
}

trap "exit 0" INT TERM
trap cleanup EXIT

if [ -f "${CONFIG}" ]; then
    apiServer=$(jq -r '.vivocloud.apiserver' ${CONFIG})
    deviceID=$(jq -r '.webrtc.deviceID' ${CONFIG})
    enableWebrtc=$(jq -r '.webrtc.enable' ${CONFIG})
    IoTEndpoint=$(jq -r '.iotbus.endpoint' ${CONFIG})
    signalServer=$(jq -r '.webrtc.endpoint' ${CONFIG})
    enableCloudrecd=$(jq -r '.cloudrecd.enable' ${CONFIG})
    identityID=$(jq -r '.cloudrecd.identityID' ${CONFIG})
    IoTCredentialEndpoint=$(jq -r '.cloudrecd.ioTCredentialEndpoint' ${CONFIG})
fi

cat <<-EOF > /mnt/ramdisk/device.log
timestamp=$(date +"%s")
$(confclient -g system_info_firmwareversion)
$(confclient -g system_info_modelname)
mac=$(confclient -p 99 -t Value -g system_info_serialnumber)

apiServer=${apiServer}
device_id=${deviceID}

enableWebrtc=${enableWebrtc}
IoTEndpoint=${IoTEndpoint}
signalServer=${signalServer}

enableCloudrecd=${enableCloudrecd}
identityID=${identityID}
IoTCredentialEndpoint=${IoTCredentialEndpoint}
EOF

tar zcf information.tar.gz -C /mnt/ramdisk/ device.log enable.log pair.log iotpub.log log/ cloudrec/ 2>/dev/null
cat information.tar.gz

exit 0